import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./software-updates.stories";

<Meta of={ComponentStories} name="Docs" />

# SoftwareUpdates

The `<ux-iws-software-updates>` component asynchronously displays information about a machines software. It handles machine software updates completely including requests to display the component, check machine information and handle a form to update machine subscriptions.

If the API returns `"UpdatesNotAvailable"` as a status, the component won't show up at all.

<Canvas of={ComponentStories.Default}></Canvas>

## Content API

### Software Update Types

```typescript
export enum Status {
    "UpdatesNotAvailable",
    "UpdatesNotSubscribed",
    "UpdatesPartiallySubscribed",
    "AllUpdatesSubscribed",
    "WaitingForInstallationOfSecurityUpdate",
    "WaitingForInstallationOfFunctionalUpdate",
    "InstallationFailedOfSecurityUpdate",
    "InstallationFailedOfFunctionalUpdate",
}
```

## Translations

Namespace:

<pre>"{ComponentStories.Default.namespace}"</pre>

Translations:

<pre>{JSON.stringify(ComponentStories.Default.translations, null, 2)}</pre>

## Developer Documentation

<Controls />
